GuideLab API

Create Scanner Connection

Create a new scanner connection for the organization. Supports the implemented Medit, 3Shape, and iTero providers.

POST
/scanner-connections

Create a new scanner connection for the organization. Supports the implemented Medit, 3Shape, and iTero providers.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/scanner-connections" \  -H "Content-Type: application/json" \  -d '{    "scannerType": "3shape",    "name": "string"  }'
{  "connection": {    "id": "string",    "organizationId": "string",    "scannerType": "string",    "name": "string",    "connectionStatus": "string",    "statusMessage": "string",    "testMode": true,    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string",    "lastConnectedAt": "string",    "lastSyncAt": "string"  }}
Empty
Empty